> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# List ITN Assets

> This endpoint lists every asset available through Alpaca's Instant Tokenization Network (ITN) and the networks each asset is deployed on. For each network, it returns the token contract address, the token decimals, and the ITN mint and redeem fees.

For current mint and redeem availability, see [Get ITN Status](https://docs.ondo.finance/api-reference/itn/get-itn-status).

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).

For the complete ITN workflow, see [ITN Integration](https://docs.ondo.finance/api-reference/itn-integration).




## OpenAPI

````yaml /openapi.json get /v1/itn/assets
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Portfolios
    description: Get Ondo Intelligent Portfolio Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
  - name: ITN
    description: Get Alpaca ITN Assets, Statuses, and Limits
paths:
  /v1/itn/assets:
    get:
      tags:
        - ITN
      summary: List ITN Assets
      description: >
        This endpoint lists every asset available through Alpaca's Instant
        Tokenization Network (ITN) and the networks each asset is deployed on.
        For each network, it returns the token contract address, the token
        decimals, and the ITN mint and redeem fees.


        For current mint and redeem availability, see [Get ITN
        Status](https://docs.ondo.finance/api-reference/itn/get-itn-status).


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).


        For the complete ITN workflow, see [ITN
        Integration](https://docs.ondo.finance/api-reference/itn-integration).
      operationId: listITNAssets
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListITNAssetsResponse'
              example:
                - symbol: AAPLon
                  ticker: AAPL
                  networks:
                    - networkChainId: bsc-56
                      evmChainId: 56
                      alpacaNetwork: binance
                      tokenAddress: '0x390a684ef9cade28a7ad0dfa61ab1eb3842618c4'
                      decimals: 18
                      mintFeeBps: 0
                      redeemFeeBps: 5
                    - networkChainId: ethereum-1
                      evmChainId: 1
                      alpacaNetwork: ethereum
                      tokenAddress: '0x14c3abf95cb9c93a8b82c1cdcb76d72cb87b2d4c'
                      decimals: 18
                      mintFeeBps: 0
                      redeemFeeBps: 5
                - ...
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    code: MISSING_API_KEY
                    message: missing API key
                    documentation: >-
                      https://docs.ondo.finance/api-reference/error-codes#missing_api_key
        '429':
          description: >-
            The account has exceeded its rate limits. Please see the returned
            message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    code: RATE_LIMITED
                    message: rate limit exceeded
                    documentation: >-
                      https://docs.ondo.finance/api-reference/error-codes#rate_limited
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    code: INTERNAL_ERROR
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    documentation: >-
                      https://docs.ondo.finance/api-reference/error-codes#internal_error
      security:
        - apiKey: []
components:
  schemas:
    ListITNAssetsResponse:
      type: array
      items:
        $ref: '#/components/schemas/ITNAsset'
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
    ITNAsset:
      type: object
      properties:
        symbol:
          type: string
          example: AAPLon
          description: The GM token symbol.
        ticker:
          type: string
          description: The stock ticker associated with the asset.
          example: AAPL
        networks:
          type: array
          description: The networks the asset is available on through ITN.
          items:
            $ref: '#/components/schemas/ITNNetwork'
      required:
        - symbol
        - ticker
        - networks
    ITNNetwork:
      type: object
      properties:
        networkChainId:
          $ref: '#/components/schemas/GMChains'
        evmChainId:
          type: integer
          format: int64
          description: The EVM chain ID of the network. Omitted for non-EVM networks.
          example: 1
        alpacaNetwork:
          type: string
          description: >-
            Alpaca's name for the network. Use this value when submitting a
            request to Alpaca.
          example: ethereum
        tokenAddress:
          type: string
          description: The token contract address on the network.
          example: '0x14c3abf95cb9c93a8b82c1cdcb76d72cb87b2d4c'
        decimals:
          type: integer
          format: int64
          description: The number of decimal places for the token on the network.
          example: 18
        mintFeeBps:
          type: integer
          format: int64
          description: The ITN mint fee, in basis points.
          example: 0
        redeemFeeBps:
          type: integer
          format: int64
          description: The ITN redeem fee, in basis points.
          example: 5
      required:
        - networkChainId
        - alpacaNetwork
        - tokenAddress
        - decimals
        - mintFeeBps
        - redeemFeeBps
    GMChains:
      type: string
      description: The chain's identifier including the chain name and chain id.
      enum:
        - ethereum-1
        - bsc-56
        - solana-900
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.